package istia.st.springmvc.exemples.web;

import java.io.PrintWriter;
import java.util.Date;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.Controller;

public class DoSomething implements Controller {

	// gestion de la requte
	public ModelAndView handleRequest(HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		// dbut
		long dbut = new Date().getTime();
		// attente
		Thread.sleep(10);
		// on code en dur
		response.setContentType("text/html");
		PrintWriter out = response.getWriter();
		// on prpare le code HTML
		String Html = "<html><head><title>Spring-MVC-06</title></head>"
				+ "<body>";
		// on parcourt la liste des membres du groupe
		String[] groupe = (String[]) request.getSession().getServletContext()
				.getAttribute("groupe");
		for (int i = 0; i < groupe.length; i++) {
			Html += groupe[i] + "<br>\n";
		}
		// fin
		long fin = new Date().getTime();
		// dure
		long dure = fin - dbut;
		Html += "<br>DoSomething excut en " + dure + " ms...</body></html>";
		// on envoie le flux HTML
		out.println(Html);
		// pas de ModelAndView
		return null;
	}

}