package istia.st.springmvc.exemples.web;

import java.util.Date;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.Controller;

public class DoSomething implements Controller {

	// un groupe de personnes fourni par le contexte de l'application
	private Groupe groupe;

	public Groupe getGroupe() {
		return groupe;
	}

	public void setGroupe(Groupe groupe) {
		this.groupe = groupe;
	}

	// gestion de la requte
	public ModelAndView handleRequest(HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		// dbut
		long dbut = new Date().getTime();
		// on fait qq chose...
		Thread.sleep(10);
		// fin
		long fin = new Date().getTime();
		// dure
		long dure = fin - dbut;
		// on cre le modle de la vue  afficher
		HashMap modle = new HashMap();
		modle.put("groupe", groupe);
		modle.put("duree", new Long(dure));
		// on retourne le ModelAndView
		int i = (int) (Math.random() * 2);
		return new ModelAndView("vue"+i, modle);
	}

}