package istia.st.springmvc.exemples.web;

import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.View;

public class MyView implements View {

	public void render(Map modle, HttpServletRequest request, HttpServletResponse response) throws Exception {
		// on code le HTML en dur
		response.setContentType("text/html");
		PrintWriter out = response.getWriter();
		// on prpare le code HTML
		String Html="<html><head><title>Spring-MVC-13</title></head>"+
						"<body><h2>Vue n 2 (pour toute langue)</h2>";
		// on parcourt la liste des membres du groupe
		Groupe groupe=(Groupe)modle.get("groupe");
		long dure=((Long)modle.get("duree")).longValue();
		ArrayList membres=groupe.getMembres();
		for(int i=0;i<membres.size();i++){
			Html+=membres.get(i).toString()+"<br>\n";
		}
		// on ajoute la dure d'excution
		Html += "<br>DoSomething excut en " + dure + " ms...</body></html>";
		// on envoie le flux HTML
		out.println(Html);
	}

}
