package istia.st.springmvc.exemples.web;

import javax.servlet.ServletException;

import org.springframework.beans.BeansException;
import org.springframework.web.servlet.DispatcherServlet;

public class MyServlet extends DispatcherServlet {

	private static final long serialVersionUID = 1L;

	public void initFrameworkServlet() throws BeansException, ServletException {
		// init parent
		super.initFrameworkServlet();
		// on rcupre le paramtre de [web.xml]
		String[] groupe = (this.getServletConfig().getInitParameter("groupe"))
				.split(",");
		// on met le tableau dans le contexte de l'application
		this.getServletContext().setAttribute("groupe", groupe);
	}
}
